# mon-panier-bio

Plateforme web de commande de panier bio

## intro

L'idéee c'est de remplacer le Framadate moisi de Fred pour la commande de
panier par un truc simple et de bon goût qui fasse le job sans pour autant être
pénible à mettre en place ou à administrer et si ça peut servir à d'autres tant
mieux.

L'intuition technique c'est de tendre vers du (almost) zéro configuration, en
tous cas quelque-chose de basé sur le chemin web (la réécriture d'URL nous sera
bien utile) et le stockage de données directement dans les sources.

* index.php (l'intégralité des sources)
* config.php (éditable par l'administrateur)
* data.php (généré par l'application)

Le contexte serait le tiers et l'événement concerné. Pour un contexte donné on
peut s'inscrire et se désinscrire. Via la configuration on peut cadrer la
récurrence des événements ainsi que les choix disponibles à l'inscription. 

## test

On peut tester en local avec le serveur PHP embarqué et la commande `php -S
localhost:8000 -t .` à la racine du projet puis en lançant un navigateur pour
visiter `localhost:8000`.

## todo

* gérer les erreur potentielles partout où c'est susceptible d'arriver et afficher de jolis messages explicites si ça se produit
* prévoir un accueil avec le liste des suppliers ?
* prévoir un export ics des événements (synchro caldendrier téléphone) selon le HTTP_ACCEPT
* prévoir une interface d'admin qui créérait le config.php à la volée avec protection par auth basic si on met un mot de passe
